curl --request POST \
--url https://app.alphapo.net/api/v2/exchange/now \
--header 'Content-Type: application/json' \
--header 'X-processing-key: <api-key>' \
--header 'X-processing-signature: <api-key>' \
--data '
{
"sender_currency": "BTC",
"receiver_currency": "BTC",
"sender_amount": 0,
"receiver_amount": 0,
"foreign_id": "user_1714"
}
'{
"data": {
"sender_currency": "EUR",
"sender_amount": "1966.61957532",
"receiver_currency": "BTC",
"receiver_amount": "0.10000000",
"fee_currency": "EUR",
"fee_amount": "19.66619575",
"price": "0.00005084",
"id": 678287,
"foreign_id": "user_1714",
"type": "exchange",
"status": "processing"
}
}Execute the exchange regardless of the price.
curl --request POST \
--url https://app.alphapo.net/api/v2/exchange/now \
--header 'Content-Type: application/json' \
--header 'X-processing-key: <api-key>' \
--header 'X-processing-signature: <api-key>' \
--data '
{
"sender_currency": "BTC",
"receiver_currency": "BTC",
"sender_amount": 0,
"receiver_amount": 0,
"foreign_id": "user_1714"
}
'{
"data": {
"sender_currency": "EUR",
"sender_amount": "1966.61957532",
"receiver_currency": "BTC",
"receiver_amount": "0.10000000",
"fee_currency": "EUR",
"fee_amount": "19.66619575",
"price": "0.00005084",
"id": 678287,
"foreign_id": "user_1714",
"type": "exchange",
"status": "processing"
}
}Your API key.
The request body, signed with HMAC-SHA512 with your secret key. You can find the secret key in your account.
Currency to exchange from. For a list of all available currencies, see Supported currencies.
Currency to exchange to. For a list of all available currencies, see Supported currencies.
Unique foreign ID in your system. Must not contain personal data, such as the user's name or email address.
255Amount you want to exchange. You must include either this parameter or receiver_amount.
x >= 0Amount you want to exchange. You must include either this parameter or sender_amount.
x >= 0OK
Show child attributes
Was this page helpful?